﻿using System;
using System.Windows;
using Telerik.Windows.Controls;
using Module1.ViewModels;

namespace Module1
{
	public class TemplateSelector : DataTemplateSelector
	{
		public DataTemplate ButtonTemplate { get; set; }
		public DataTemplate SplitButtonTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if ((item as Content).Type == "RibbonButton")
				return ButtonTemplate;
			else
				return SplitButtonTemplate;
		}
	}
}
