﻿using System;
using Module2.Views;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using System.ComponentModel.Composition;

namespace Module2
{
	[ModuleExport(typeof(Module2))]
	public class Module2 : IModule
	{   
		// import IRegionManager singlton from Prism
		[Import]
		public IRegionManager regionManager { private get; set; }

		public void Initialize()
		{
			// Registers views here
			regionManager.RegisterViewWithRegion("RibbonRegion",  typeof(Module2View));
		}
	}
}
